cURL
curl https://api.apipod.ai/v1/videos/generations \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "wan2.7-i2v",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 5
}'import os
import requests
payload = {
"model": "wan2.7-i2v",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 5
}
response = requests.post(
"https://api.apipod.ai/v1/videos/generations",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
"os"
)
func main() {
payload := map[string]any{}
if err := json.Unmarshal([]byte(`{
"model": "wan2.7-i2v",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 5
}`), &payload); err != nil {
panic(err)
}
body, err := json.Marshal(payload)
if err != nil {
panic(err)
}
req, err := http.NewRequest(http.MethodPost, "https://api.apipod.ai/v1/videos/generations", bytes.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer "+os.Getenv("APIPOD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}use reqwest::Client;
use serde_json::json;
use std::env;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = json!({
"model": "wan2.7-i2v",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 5
});
let response = Client::new()
.post("https://api.apipod.ai/v1/videos/generations")
.bearer_auth(env::var("APIPOD_API_KEY")?)
.json(&payload)
.send()
.await?
.error_for_status()?;
println!("{}", response.text().await?);
Ok(())
}const response = await fetch("https://api.apipod.ai/v1/videos/generations", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.APIPOD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify(
{
"model": "wan2.7-i2v",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 5
}
),
});
if (!response.ok) {
throw new Error(`APIPod request failed: ${response.status} ${await response.text()}`);
}
console.log(await response.json());{
"code": 200,
"message": "success",
"data": {
"task_id": "vid_task_01JEXAMPLE"
}
}Wan 2.7
WAN 2.7 Image to Video
Wan 2.7 图生视频是阿里 Wan Video模型的独立任务模式,将首帧图片生成视频,并在公开契约中支持尾帧控制。
POST
https://api.apipod.ai
/
v1
/
videos
/
generations
cURL
curl https://api.apipod.ai/v1/videos/generations \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "wan2.7-i2v",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 5
}'import os
import requests
payload = {
"model": "wan2.7-i2v",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 5
}
response = requests.post(
"https://api.apipod.ai/v1/videos/generations",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
"os"
)
func main() {
payload := map[string]any{}
if err := json.Unmarshal([]byte(`{
"model": "wan2.7-i2v",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 5
}`), &payload); err != nil {
panic(err)
}
body, err := json.Marshal(payload)
if err != nil {
panic(err)
}
req, err := http.NewRequest(http.MethodPost, "https://api.apipod.ai/v1/videos/generations", bytes.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer "+os.Getenv("APIPOD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}use reqwest::Client;
use serde_json::json;
use std::env;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = json!({
"model": "wan2.7-i2v",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 5
});
let response = Client::new()
.post("https://api.apipod.ai/v1/videos/generations")
.bearer_auth(env::var("APIPOD_API_KEY")?)
.json(&payload)
.send()
.await?
.error_for_status()?;
println!("{}", response.text().await?);
Ok(())
}const response = await fetch("https://api.apipod.ai/v1/videos/generations", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.APIPOD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify(
{
"model": "wan2.7-i2v",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 5
}
),
});
if (!response.ok) {
throw new Error(`APIPod request failed: ${response.status} ${await response.text()}`);
}
console.log(await response.json());{
"code": 200,
"message": "success",
"data": {
"task_id": "vid_task_01JEXAMPLE"
}
}授权
在 Authorization 请求头中使用 Bearer APIPod_API_KEY。
请求体
application/json
APIPod 公开模型 ID。
Allowed value:
"wan2.7-i2v"生成或编辑指令。 最大字符串长度:5000。
可公开访问的源图片或参考图 URL。
是否启用智能提示词改写。启用后会使用大模型改写输入提示词,可改善短提示词的生成效果,但会增加处理时间。
negative_prompt
string
默认值:low resolution, errors, worst quality, poor quality, incomplete, extra fingers, poor aspect ratio.
是否启用智能提示词改写。启用后会使用大模型改写输入提示词,可改善短提示词的生成效果,但会增加处理时间。 最大字符串长度:500。
可公开访问的源音频 URL。
可公开访问的源视频 URL。
输出分辨率档位。
可用选项:
720P, 1080P 视频时长,单位为秒。 最小值:2。 最大值:15。
添加上游水印。
⌘I